Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve a paginated list of leads
cURL
curl --request GET \ --url https://api.getreditus.com/api/v1/leads \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.getreditus.com/api/v1/leads" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.getreditus.com/api/v1/leads', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.getreditus.com/api/v1/leads", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.getreditus.com/api/v1/leads" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.getreditus.com/api/v1/leads") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.getreditus.com/api/v1/leads") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "id": "<string>", "type": "<string>", "attributes": { "email": "<string>", "uid": "<string>", "advocate_id": "<string>", "state": "<string>", "reject_reason": "<string>", "state_set_at": 123, "created_at": 123, "updated_at": 123 } } ], "meta": { "pagination": { "page": 123, "per_page": 123, "has_more": true } } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Filter by state
Filter by advocate ID
Filter by email
Created before (e.g. "2022-12-24%2012:47:45%20+0200")
Created after (e.g. "2021-11-23%2012:47:45%20+0200")
State set at before (e.g. "2022-12-24%2012:47:45%20+0200")
State set at before (e.g. "2021-12-24%2012:47:45%20+0200")
Page number
Records to be displayed per page
x <= 50
Successful response
Show child attributes